using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ZooContracts.BindingModels;
using ZooContracts.SearchModel;
using ZooContracts.ViewModels;

namespace ZooContracts.BusinessLogicsContracts
{
    public interface IRouteLogic
    {
        List<RouteViewModel>? ReadList(RouteSearchModel? model);
        RouteViewModel? ReadElement(RouteSearchModel model);
        bool Create(RouteBindingModel model);
        bool Update(RouteBindingModel model);
        bool Delete(RouteBindingModel model);
    }
}
